# -*- coding: UTF-8 -*-


""" capellaScript -- Copyright (c) 2004 Hartmut Ring
>>> Braille-View Optionen

    Dieses Skript erlaubt, die Ausgabe von Braille-View|
    (capella 8) zu konfigurieren: Vorlesen oder Braillezeile
<<<
"""

"""
Version für capella 8: Optionen in UserDataDir.
"""

class myScriptOptions (ScriptOptions):
    def __init__(self):
        dir, rFile = os.path.split(sys.argv[0])
        myFile = 'braille-view.opt'
        s = os.path.join(dir, myFile)
        s = s.replace(":", "$").replace("/", "#").replace("\\", "#")
        self._optionsFile = os.path.join(getUserDataDir(), s)

options = myScriptOptions()
opt = options.get()     # opt = dict()

helptext='Die Notenbezeichnungen der ganzen Stimme können in Braille-Codierung oder in \
Schwarzschriftdarstellung ausgegeben werden. Die Option Vorlesbar ist zum Vorlesen durch \
einen Screenreader optimiert. Die Option Schwarzschrift dient hauptsächlich der \
Skript-Weiterentwicklung.'
def optionsDlg():
    optionslist = ['Braille', 'Schwarzschrift', 'Vorlesbar']
    if opt.has_key('OutputStyle'):
        val = optionslist.index(opt['OutputStyle'])
    else:
        val = 0    
    styleRadio = Radio(optionslist, value=val)
    dlg = Dialog('Braille-Optionen', styleRadio, help=helptext)
    if dlg.run():
        opt['OutputStyle'] = optionslist[styleRadio.value()]
        options.set(opt)

optionsDlg()
